Skip to main content
GET
/
v1
/
data
/
market-insights
/
indicator
cURL
curl --request GET \
  --url https://api.statista.ai/v1/data/market-insights/indicator \
  --header 'x-api-key: <api-key>'
{
  "identifier": "<string>",
  "title": "<string>",
  "description": "<string>",
  "chart": {
    "name": "<string>",
    "graphType": "<string>",
    "data": [
      {
        "geo": "<string>",
        "categories": [
          "<string>"
        ],
        "series": [
          123
        ]
      }
    ],
    "unit": "<string>"
  },
  "market_type": "<string>",
  "market_type_description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.platform.statista.ai/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve chart data for a specific Market Insights indicator.

Authorizations

x-api-key
string
header
required

Query Parameters

id
string<uuid>
required

The unique identifier of the Market Insights indicator to be retrieved.

geo
string[]
required

List of geo code to fetch the data for. Available geo codes per indicator are part of the search result.

Maximum array length: 5

Response

The request has succeeded.

identifier
string
required

A unique ID for this indicator. It helps find or refer to this data.

title
string
required

The name of the content. It tells what the data is about.

description
string
required

A short text that explains the most important facts in the data.

chart
object
required

The chart data, covering one or more geo locations.

market_type
string

The type of market this data is descrypting.

market_type_description
string

A short text that explains what the market is about.